package com.boylesoftware.cb2.examples.addressbook;


/**
 * Data model for Person table/entity.
 *
 * @author Lev Himmelfarb
 * @version $Id: PersonDM.java,v 1.1.1.1 2004/04/04 18:51:45 levahim Rel $
 */
public class PersonDM
    extends PersonShortDM {

    // table fields
    public Integer homeAddressId;
    public Integer workAddressId;
    public String email;
    public boolean wantsSpam;
    public String comments;

    // joined DMs
    public AddressDM homeAddress;
    public AddressDM workAddress;
    public PhoneDM [] phones;
}
