<%
// Component that shows the list of contacts in the address book and
// has a form to search contacts database.
//
// author Lev Himmelfarb
// version $Id: contacts.jsp,v 1.1.1.1 2004/04/04 18:51:46 levahim Rel $
%>

<%@taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"%>
<%@taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>


<script type="text/javascript">
function doAddNew() {

    document.location = '<html:rewrite page="/contactDetails.cb2"/>';
}

function doShowAll() {

    document.location = '<html:rewrite page="/contacts.cb2"/>';
}
</script>

<div>
<h3>Search Contacts</h3>
<table>
  <html:form action="/contacts.cb2" method="GET">
  <html:hidden property="doSearch" value="true"/>
  <tr>
    <td align="right">Last Name</td><td><html:text property="lastName"/></td>
    <td align="right">First Name</td><td><html:text property="firstName"/></td>
  </tr>
  <tr>
    <td align="right">City</td><td><html:text property="city"/></td>
    <td align="right">State</td><td><html:text property="state"/></td>
  </tr>
  <tr>
    <td colspan="4" align="right"><input type="button" value="Add New..." onclick="javascript:doAddNew()"/>
      <input type="button" value="Show All" onclick="javascript:doShowAll()"/>
      <html:submit value="Search"/></td>
  </tr>
  </html:form>
</table>
</div>

<div>
<h3>Contacts</h3>
<logic:greaterThan name="contacts" property="contactsLength" value="0">
<table>
  <tr>
    <th>&nbsp;</th>
    <th>Name</th>
  </tr>
  <logic:iterate id="contact" name="contacts" property="contacts">
  <tr>
    <td align="right"><bean:write name="contact" property="seqN"/></td>
    <td><html:link page="/contactDetails.cb2" paramId="personId" paramName="contact" paramProperty="personId"><bean:write name="contact" property="name"/></html:link></td>
  </tr>
  </logic:iterate>
</table>
</logic:greaterThan>

<logic:equal name="contacts" property="contactsLength" value="0">
No results.
</logic:equal>
</div>
