package com.boylesoftware.cb2.examples.addressbook;

import com.boylesoftware.cb2.DataModel;


/**
 * A short variant of data model for Person entity, which does not
 * contain all the table fields, but can be used for fetching data for
 * lists of people, like people search results. This data model cannot
 * be used for inserts/updates though.
 *
 * @author Lev Himmelfarb
 * @version $Id: PersonShortDM.java,v 1.1.1.1 2004/04/04 18:51:45 levahim Rel $
 */
public class PersonShortDM
    extends DataModel {

    public int personId;
    public String lastName; // not nullable
    public String firstName;
}
